/*!
 * \file
 * X-Forge Core <br>
 * Copyright 2000-2003 Fathammer Ltd
 *
 * \brief
 * 
 * $Id: XFcCommunication.h,v 1.4 2003/03/01 19:22:55 jetro Exp $
 * $Date: 2003/03/01 19:22:55 $
 * $Revision: 1.4 $
 */

#ifndef XFCCOMMUNICATION_H_INCLUDED
#define XFCCOMMUNICATION_H_INCLUDED


class XFCDLLEXPORT XFcCommunication
{

public:

    //! Virtual destructor.
    virtual ~XFcCommunication();

    //! Runs the communication scheduler.
    XFCIMPORT virtual INT runScheduler();

protected:

    //! Protected constructor.
    XFcCommunication();

};


#endif // !XFCCOMMUNICATION_H_INCLUDED
