/*! \file
 * X-Forge Core <br>
 * Copyright 2000-2003 Fathammer Ltd
 *
 * \brief Interface for unidentified data sender.
 *            
 * 
 * $Id: XFcUnknownSender.h,v 1.7 2003/03/03 15:34:13 jetro Exp $
 * $Date: 2003/03/03 15:34:13 $
 * $Revision: 1.7 $
 */

#ifndef XFCUNKNOWNSENDER_H_INCLUDED
#define XFCUNKNOWNSENDER_H_INCLUDED


class XFCDLLEXPORT XFcUnknownSender
{
protected:

    //! Protected constructor.
    XFCIMPORT XFcUnknownSender();

public:

    XFCIMPORT virtual INT handleSender(const void *aAddress, const CHAR8 *aData, INT32 aLen) = 0;

    //! Virtual destructor.
    XFCIMPORT virtual ~XFcUnknownSender();
};


#endif // !XFCUNKNOWNSENDER_H_INCLUDED
