/*! \file 
 * X-Forge Util <br>
 * Copyright 2000-2003 Fathammer Ltd
 * 
 * \brief XM player event handler
 * 
 * $Id: XFuXMPlayerEventHandler.h,v 1.5 2003/03/20 13:19:59 jetro Exp $
 * $Date: 2003/03/20 13:19:59 $
 * $Revision: 1.5 $
 */

#ifndef XFUXMPLAYEREVENTHANDLER_H_INCLUDED
#define XFUXMPLAYEREVENTHANDLER_H_INCLUDED



class XFuXMPlayer;


class XFuXMPlayerEvent
{
public:
    XFuXMPlayerEvent()
    {
        mNote = mInstrumentNb = mVolume = mEffectType = mEffectValue = -1;
        mPlayer = NULL;
    }

    INT16 mNote;
    INT16 mInstrumentNb;
    INT16 mVolume;
    INT16 mEffectType;
    INT16 mEffectValue;

    XFuXMPlayer *mPlayer;
};


class XFuXMPlayerEventHandler
{
public:
    virtual void handleXMPlayerEvent(XFuXMPlayerEvent aEvent) = 0;
};


#endif  // !XFUXMPLAYEREVENTHANDLER_H_INCLUDED
